local dzhake = require("#Celeste.Mod.DzhakeHelper.Utils").Lua
function onBegin()
    local level = getLevel()
    disableMovement()
    player.DummyAutoAnimate = false
    player.Sprite:Play("faint")
    coroutine.yield(dzhake.CustomWalkTo(player, 35311,false,2,false,false))
    coroutine.yield(level:ZoomTo(vector2(152, 108), 2, 1))
    say("BevWeb_FIRETEMPLE_ending1")
    player.Sprite:Play("wakeUp")
	wait(1)
	say("BevWeb_FIRETEMPLE_ending2")
    setFlag("endfling",true)
	say("BevWeb_FIRETEMPLE_ending3")
end

function onEnd()
    completeArea()
end